commit:     44e8db7c8bc3f2d75d354e101db5b74d43e4c5a3
Author:     Nicolas PARLANT <nicolas.parlant <AT> parhuet <DOT> fr>
AuthorDate: Mon Jun 23 15:13:58 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jun 26 19:54:34 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44e8db7c

net-p2p/rtorrent: add 0.15.5

Bugfix release. Very close to the patched 0.15.4 in tree.

Signed-off-by: Nicolas PARLANT <nicolas.parlant <AT> parhuet.fr>
Part-of: https://github.com/gentoo/gentoo/pull/42714
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-p2p/rtorrent/Manifest               |   1 +
 net-p2p/rtorrent/rtorrent-0.15.5.ebuild | 106 ++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/net-p2p/rtorrent/Manifest b/net-p2p/rtorrent/Manifest
index 8ffeaee2a7ba..e81005f45f58 100644
--- a/net-p2p/rtorrent/Manifest
+++ b/net-p2p/rtorrent/Manifest
@@ -1,4 +1,5 @@
 DIST rtorrent-0.15.1.tar.gz 688056 BLAKE2B 
0fd0b3748e1ec13935fa900434ad5d54c6062ea48c5f8cb320d0a30cb318c09f80347ca665c61a7745770c965eee5e1cfa7e96968a2468ad06711b80be5d6e92
 SHA512 
e5c713601ecb0c4536b64d98ca53261db35980b04a3f274d12f51467b021d77768e7f6a2004a33a76a99f7d96e0a2c3de4605fd7ee186ba05a7c16aa96b97ea5
 DIST rtorrent-0.15.3.tar.gz 858703 BLAKE2B 
9684141b9785a38ba609783aa5d294fb09f777f73beddf7d683531ad79c3fd09ed9b0a6118ef4f87678c5343d660bdd7a5ab18f5ec8e05a2c71a06588576579c
 SHA512 
060319e0e4a5563c29d21b41e369e14e37bf5cc949c60cf482432c4cadda82151e0c5fef8f8082fd765b777b758676907eed070840117cac30565406717cf77c
 DIST rtorrent-0.15.4.tar.gz 866692 BLAKE2B 
941defa4393f29ca562bde6692c201df2e64bc2bf83c9a7aa85f8d19884723868019d54e19cb8f27c303dca094c3c135980ddac278960c657812fb4abd5a66e6
 SHA512 
9e197a49478e2df8959ce92eb065d4c063bfc096509bc53f13bcc2ebb1b1cc89e7156badb11b7a617d018d4dd77291a0e96762d28bc237deacdb29a36d96af1d
+DIST rtorrent-0.15.5.tar.gz 866800 BLAKE2B 
7e92d127e5104c40b51fdfef8ec73e097d926ed042626cd81df9c4b8b0e951d0ff054bc38efebbbdbc8ef051ae8e7ecb3b31d57b2bd0732a8fed721cf2899c7f
 SHA512 
54888d9a2b37c0e4ebf3e47203c863b1fad5b2e39fa2a563a09c2615f3ff603ee240da86a990a8e24597bc2da32bda98400f661f8241dc1fb16953eebdc20fc0
 DIST rtorrent-0.9.8.tar.gz 647523 BLAKE2B 
3562ed03dee3baa4a702d20c7c91b9248d9de0f25d1f8cd182863101f293a0ef13cb49164e4d16b25e72a4fbe1cc1a2fbde176d3068c749edbcb2287ef260b2b
 SHA512 
016685948d0290694ab9635ae218c7acd876e6d45bea1bdba3a29c545e64f5d824c5e2f6693a4c2e9200196177881d54f312d72e0a19742bd74a03bd19ca05c7

diff --git a/net-p2p/rtorrent/rtorrent-0.15.5.ebuild 
b/net-p2p/rtorrent/rtorrent-0.15.5.ebuild
new file mode 100644
index 000000000000..e51648b2423d
--- /dev/null
+++ b/net-p2p/rtorrent/rtorrent-0.15.5.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# require 64-bit integer
+LUA_COMPAT=( lua5-{3,4} )
+
+inherit autotools linux-info lua-single systemd
+
+DESCRIPTION="BitTorrent Client using libtorrent"
+HOMEPAGE="https://rakshasa.github.io/rtorrent/";
+SRC_URI="https://github.com/rakshasa/rtorrent/releases/download/v${PV}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x64-solaris"
+IUSE="debug lua selinux test tinyxml2 xmlrpc"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="
+       lua? ( ${LUA_REQUIRED_USE} )
+       tinyxml2? ( !xmlrpc )
+"
+
+COMMON_DEPEND="
+       ~net-libs/libtorrent-${PV}
+       net-misc/curl
+       sys-libs/ncurses:0=
+       lua? ( ${LUA_DEPS} )
+       xmlrpc? ( dev-libs/xmlrpc-c:=[libxml2] )
+"
+DEPEND="${COMMON_DEPEND}
+       dev-cpp/nlohmann_json
+"
+RDEPEND="${COMMON_DEPEND}
+       selinux? ( sec-policy/selinux-rtorrent )
+"
+BDEPEND="
+       virtual/pkgconfig
+       test? ( dev-util/cppunit )
+"
+
+DOCS=( doc/rtorrent.rc )
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.15.3-unbundle_json.patch
+)
+
+pkg_setup() {
+       if ! linux_config_exists || ! linux_chkconfig_present IPV6; then
+               ewarn "rtorrent will not start without IPv6 support in your 
kernel"
+               ewarn "without further configuration. Please set bind=0.0.0.0 
or"
+               ewarn "similar in your rtorrent.rc"
+               ewarn "Upstream bug: 
https://github.com/rakshasa/rtorrent/issues/732";
+       fi
+       use lua && lua-single_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       # use system-json
+       rm -r src/rpc/nlohmann || die
+
+       # https://github.com/rakshasa/rtorrent/issues/332
+       cp "${FILESDIR}"/rtorrent.1 "${S}"/doc/ || die
+
+       if [[ ${CHOST} != *-darwin* ]]; then
+               # syslibroot is only for macos, change to sysroot for others
+               sed -i 's/Wl,-syslibroot,/Wl,--sysroot,/' 
"${S}/scripts/common.m4" || die
+       fi
+
+       eautoreconf
+}
+
+src_configure() {
+       # configure needs bash or script bombs out on some null shift, bug 
#291229
+       export CONFIG_SHELL=${BASH}
+
+       local myeconfargs=(
+               $(use_enable debug)
+               $(use_with lua)
+               $(usev xmlrpc --with-xmlrpc-c)
+               $(usev tinyxml2 --with-xmlrpc-tinyxml2)
+       )
+
+       use lua && myeconfargs+=(
+               LUA_INCLUDE="-I$(lua_get_include_dir)"
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       doman doc/rtorrent.1
+
+       if use lua; then
+               insinto $(lua_get_lmod_dir)
+               doins ${PN}.lua
+       fi
+
+       newinitd "${FILESDIR}/rtorrent-r1.init" rtorrent
+       newconfd "${FILESDIR}/rtorrentd.conf" rtorrent
+       systemd_newunit "${FILESDIR}/rtorrentd_at-r1.service" 
"[email protected]"
+}

Reply via email to